
package uoc.ei.tads.algoritmos;

/** Proporciona una interfaz estndar para todos los algoritmos
 * de ordenacin. Se ofrece un nico mtodo ordenar, que ordena los
 * elementos de un vector.
 * @author Jordi Alvarez
 * @author Esteve Marin
 *          Estructura de la Informacin,
 *          Universitat Oberta de Catalunya (UOC)
 * @version 2.0.0
 */
public interface AlgoritmoOrdenacion<E> {
	
	void ordenar(E[] vector,int n);

}
