package uoc.ei.tads.grafos;

/** 
 * Vrtice (nodo) de un grafo.
 * @author Jordi Alvarez
 * @author Esteve Marin
 *          Estructura de la Informacin,
 *          Universitat Oberta de Catalunya (UOC)
 * @version 2.0.0
 */
public interface Vertice<TElem> extends java.io.Serializable {
   	
  /**
   * Obtiene el objeto con informacin asociada al Vertice.
   * @pre true
   * @post true
   */
  public TElem getValor();
    
}
